## ros-kinetic-cob-monitoring 0.6.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_monitoring)

find_package(catkin REQUIRED COMPONENTS diagnostic_updater roscpp topic_tools)

catkin_package(
  CATKIN_DEPENDS roscpp topic_tools
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(topic_status_monitor src/topic_status_monitor.cpp)
target_link_libraries(topic_status_monitor ${catkin_LIBRARIES})

### Install ###
catkin_install_python(PROGRAMS
          src/battery_monitor.py
          src/cpu_monitor.py
          src/ddwrt.py
          src/emergency_stop_monitor.py
          src/hd_monitor.py
          src/hz_monitor.py
          src/net_monitor.py
          src/ntp_monitor.py
          src/wifi_monitor.py
          src/wlan_monitor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS topic_status_monitor
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-monitoring (0.6.21-2xenial) xenial; urgency=high

  * Merge pull request #299 <https://github.com/ipa320/cob_command_tools/issues/299> from HannesBachter/fix/wlan_monitor
    Fix/wlan monitor
  * decode values before adding them
  * generically generate key value pairs from iwconfig output
  * handle unconnected WIFI
  * Merge pull request #297 <https://github.com/ipa320/cob_command_tools/issues/297> from fmessmer/fix/python3_decode
    python3 decode stdout
  * fix parse info
  * python3 decode bytes
  * python3 decode stdout
  * Contributors: Felix Messmer, HannesBachter, fmessmer, hyb, mailto:robot@cob4-12

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.20-2xenial) xenial; urgency=high

  * Merge pull request #295 <https://github.com/ipa320/cob_command_tools/issues/295> from fmessmer/cob_monitoring_comment_dependency_python-mechanize
    commenting dependency python3-mechanize
  * commenting dependency python3-mechanize
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kinetic-cob-monitoring (0.6.19-2xenial) xenial; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-monitoring (0.6.18-2xenial) xenial; urgency=high

  * Merge pull request #286 <https://github.com/ipa320/cob_command_tools/issues/286> from fmessmer/fix_noetic
    fix noetic
  * ignore pylint assignment-from-none
  * ROS_PYTHON_VERSION conditional dependency for psutil
  * ROS_PYTHON_VERSION conditional dependency for requests
  * ROS_PYTHON_VERSION conditional dependency for mechanize
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.17-2xenial) xenial; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * ROS_PYTHON_VERSION conditional dependency for paramiko
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.16-2xenial) xenial; urgency=high

  * Merge pull request #278 <https://github.com/ipa320/cob_command_tools/issues/278> from fmessmer/fix_net_monitor
    fix int conversion for carrier_changes
  * fix int conversion for carrier_changes
  * Merge pull request #275 <https://github.com/ipa320/cob_command_tools/issues/275> from fmessmer/refactor_hz_monitor
    refactor hz monitor
  * allow min_duration until setting no_messages_anymore
  * explicit sleep
  * make hz and hzerror mandatory parameters
  * refactor hz_monitor
  * use format for log strings
  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix isnumeric
  * fix more pylint errors
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #268 <https://github.com/ipa320/cob_command_tools/issues/268> from fmessmer/carrier_changes_diag_warn
    diag warn for carrier changes
  * diag warn for carrier changes
  * Merge pull request #267 <https://github.com/ipa320/cob_command_tools/issues/267> from HannesBachter/fix/network_error_message
    [wlan monitor] print executing user for wlan monitor error message
  * print executing user for wlan monitor error message
  * Contributors: Felix Messmer, Loy van Beek, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-monitoring (0.6.15-2xenial) xenial; urgency=high

  * Merge pull request #255 <https://github.com/ipa320/cob_command_tools/issues/255> from floweisshardt/fix/wlan_monitor
    more verbose error message for wlan monitor
  * more verbose error message for wlan monitor
  * Merge pull request #254 <https://github.com/ipa320/cob_command_tools/issues/254> from floweisshardt/remove_terminal_spam
    remove terminal spam
  * remove terminal spam
  * Contributors: Florian Weisshardt, floweisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-monitoring (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.13-2xenial) xenial; urgency=high

  * Merge pull request #248 <https://github.com/ipa320/cob_command_tools/issues/248> from LoyVanBeek/feature/reduce_load
    Feature/reduce load
  * PEP-8 this code
  * Also use self.read_sysinfo in get_sys_net
  * Cache file-handles instead of opening them again over and over again
    Reduces load om my laptop from 1.9% CPU to 1.1% CPU (after an initial warm up-period of < 20sec with higher usage)
  * If value is str 'n/a', do not try to convert and calc with it, just use 0
  * Instead of opening subprocess to cat info about network, open the file directly
    Reduces load from 6-7% to under 2%
  * Instead of opening a subprocess to cat something, just open the file and read the contents
    Reduces load from this node on my system from 11-12% to 6-7%
  * Contributors: Felix Messmer, Florian Weisshardt, Loy van Beek, andreeatulbure, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-monitoring (0.6.11-2xenial) xenial; urgency=high



=== debian/control ===
Source: ros-kinetic-cob-monitoring
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp, ros-kinetic-topic-tools
Homepage: http://ros.org/wiki/cob_monitoring
Standards-Version: 3.9.2

Package: ros-kinetic-cob-monitoring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifstat, ipmitool, ntpdate, python-mechanize, python-paramiko, python-psutil, python-requests, ros-kinetic-actionlib, ros-kinetic-cob-light, ros-kinetic-cob-msgs, ros-kinetic-cob-script-server, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostopic, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-topic-tools, sysstat
Description: cob_monitoring

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-monitoring//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
